manages = {
  ttempArg: null,
  tinterfaceURL: 'manage-interface.aspx',
  tinterfaceContentID: 'rightContent',
  tInit: function(_strArg)
  {
    var tstrArg = _strArg;
    manages.tLoad(tstrArg);
  },
  tLoad: function(_strArg)
  {
    var tstrArg = _strArg;
    manages.ttempArg = tstrArg;
    var tstrURL = manages.tinterfaceURL;
    if (tstrArg) tstrURL += tstrArg;
    manage.windows.tShowPanelLoading();
    cls.tigets(tstrURL, manages.tLoads);
  },
  tLoads: function(_strers)
  {
    var tstrers = _strers;
    manage.windows.tHidePanelLoading();
    if (manage.tckBackString(tstrers)) setInnerHTML($I(manages.tinterfaceContentID), tstrers);
  },
  tInstall: function(_strfname)
  {
    var tstrfname = _strfname;
    var tformObj = $I(tstrfname);
    if (tformObj)
    {
      var tformBeObj = $I(tstrfname + 'BeforeAction');
      if (tformBeObj) eval(tformBeObj.value);
      if (manage.validator.tCheck(tformObj))
      {
        var tAction = tformObj.action;
        var tstrform = cls.form.tgetValues(tformObj);
        $I('ajaxSubmit').disabled = true;
        manage.windows.tShowPanelLoading();
        cls.tiposts(tAction, tstrform, manages.tInstalls);
      };
    };
    return false;
  },
  tInstalls: function(_strers)
  {
    var tstrers = _strers;
    $I('ajaxSubmit').disabled = false;
    manage.windows.tHidePanelLoading();
    if (manage.tckBackString(tstrers))
    {
      var tURLIndexOf = tstrers.indexOf('<!--url-->');
      if (tURLIndexOf == -1) manage.message.tAlert(tstrers);
      else
      {
        manages.tRefresh();
        var tNewManageURL = tstrers.substr(tURLIndexOf + 10);
        manage.message.tConfirm(tstrers.substr(0, tURLIndexOf), 'manage.tHref(\'' + tNewManageURL + '\', event);');
      };
    };
  },
  tRefresh: function()
  {
    manages.tLoad(manages.ttempArg);
  }
};
